Gecode::Int::Element::IterIdxView< View > Class Template Reference

Value iterator for indices in index-view map. More...

`#include <view.hpp>`

## Public Member Functions

| IterIdxView (void)
| IterIdxView (const IdxView< View > *, const IdxView< View > *)
void | init (const IdxView< View > *, const IdxView< View > *)
bool | operator() (void) const
void | operator++ (void)
int | val (void) const

## Detailed Description

template<class View>
class Gecode::Int::Element::IterIdxView< View >

Value iterator for indices in index-view map.

Definition at line 164 of file view.hpp.

## Constructor & Destructor Documentation

## IterIdxView() [1/2]

template<class View>

Gecode::Int::Element::IterIdxView< View >::IterIdxView | ( | void |  | ) |

inline

Definition at line 178 of file view.hpp.

## IterIdxView() [2/2]

template<class View>

Gecode::Int::Element::IterIdxView< View >::IterIdxView | ( | const IdxView< View > * | b,
|  | const IdxView< View > * | e )

inline

Definition at line 181 of file view.hpp.

## Member Function Documentation

## init()

template<class View>

void Gecode::Int::Element::IterIdxView< View >::init | ( | const IdxView< View > * | b,
|  | const IdxView< View > * | e )

inline

Definition at line 186 of file view.hpp.

## operator()()

template<class View>

bool Gecode::Int::Element::IterIdxView< View >::operator() | ( | void |  | ) | const

inline

Definition at line 192 of file view.hpp.

## operator++()

template<class View>

void Gecode::Int::Element::IterIdxView< View >::operator++ | ( | void |  | ) |

inline

Definition at line 197 of file view.hpp.

## val()

template<class View>

int Gecode::Int::Element::IterIdxView< View >::val | ( | void |  | ) | const

inline

Definition at line 202 of file view.hpp.

The documentation for this class was generated from the following file:

- gecode/int/element/view.hpp